import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'flutter_cocos_view_platform_interface.dart';

/// An implementation of [FlutterCocosViewPlatform] that uses method channels.
class MethodChannelFlutterCocosView extends FlutterCocosViewPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('flutter_cocos_view');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
