import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'flutter_cocos_view_method_channel.dart';

abstract class FlutterCocosViewPlatform extends PlatformInterface {
  /// Constructs a FlutterCocosViewPlatform.
  FlutterCocosViewPlatform() : super(token: _token);

  static final Object _token = Object();

  static FlutterCocosViewPlatform _instance = MethodChannelFlutterCocosView();

  /// The default instance of [FlutterCocosViewPlatform] to use.
  ///
  /// Defaults to [MethodChannelFlutterCocosView].
  static FlutterCocosViewPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [FlutterCocosViewPlatform] when
  /// they register themselves.
  static set instance(FlutterCocosViewPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
