import 'package:flutter_test/flutter_test.dart';
import 'package:flutter_cocos_view/flutter_cocos_view.dart';
import 'package:flutter_cocos_view/flutter_cocos_view_platform_interface.dart';
import 'package:flutter_cocos_view/flutter_cocos_view_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockFlutterCocosViewPlatform
    with MockPlatformInterfaceMixin
    implements FlutterCocosViewPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final FlutterCocosViewPlatform initialPlatform = FlutterCocosViewPlatform.instance;

  test('$MethodChannelFlutterCocosView is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelFlutterCocosView>());
  });

  test('getPlatformVersion', () async {
    FlutterCocosView flutterCocosViewPlugin = FlutterCocosView();
    MockFlutterCocosViewPlatform fakePlatform = MockFlutterCocosViewPlatform();
    FlutterCocosViewPlatform.instance = fakePlatform;

    expect(await flutterCocosViewPlugin.getPlatformVersion(), '42');
  });
}
